package com.bonus.core.menu.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.core.allocation.canteen.model.AllocDeliveryCostModel;
import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

@ApiModel("菜品详情")
public class AppletReserveRecipeDishesVO {
   @ApiModelProperty("菜品id")
   private Long baseDishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品类型")
   private Integer detailType;
   @ApiModelProperty("菜品图片")
   private String dishesImgUrl;
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("菜品推荐分值")
   private Integer initialScore;
   @ApiModelProperty("月销量")
   private Integer monthlySales;
   @ApiModelProperty("好评率")
   private BigDecimal goodProbability;
   @ApiModelProperty("是否推荐")
   private Integer recommendFlag;
   @ApiModelProperty("大小份详情")
   private List<AppletCurrentDishesDetailVO> dishesDetailList;
   @ApiModelProperty("配送方式列表")
   private List<AllocDeliveryCostModel> costModelList;
   @ApiModelProperty("口味列表")
   private List<String> tasteNameList;

   public String getDishesImgUrl() {
      return ObjectUtil.isNotEmpty(this.dishesImgUrl) ? SysUtil.getCutFileUrl(this.dishesImgUrl.split(",")[0]) : this.dishesImgUrl;
   }

   public Long getBaseDishesId() {
      return baseDishesId;
   }

   public void setBaseDishesId(Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public String getDishesName() {
      return dishesName;
   }

   public void setDishesName(String dishesName) {
      this.dishesName = dishesName;
   }

   public Integer getDetailType() {
      return detailType;
   }

   public void setDetailType(Integer detailType) {
      this.detailType = detailType;
   }

   public void setDishesImgUrl(String dishesImgUrl) {
      this.dishesImgUrl = dishesImgUrl;
   }

   public Long getDetailId() {
      return detailId;
   }

   public void setDetailId(Long detailId) {
      this.detailId = detailId;
   }

   public Long getCanteenId() {
      return canteenId;
   }

   public void setCanteenId(Long canteenId) {
      this.canteenId = canteenId;
   }

   public String getCanteenName() {
      return canteenName;
   }

   public void setCanteenName(String canteenName) {
      this.canteenName = canteenName;
   }

   public Long getStallId() {
      return stallId;
   }

   public void setStallId(Long stallId) {
      this.stallId = stallId;
   }

   public String getStallName() {
      return stallName;
   }

   public void setStallName(String stallName) {
      this.stallName = stallName;
   }

   public Integer getInitialScore() {
      return initialScore;
   }

   public void setInitialScore(Integer initialScore) {
      this.initialScore = initialScore;
   }

   public Integer getMonthlySales() {
      return monthlySales;
   }

   public void setMonthlySales(Integer monthlySales) {
      this.monthlySales = monthlySales;
   }

   public BigDecimal getGoodProbability() {
      return goodProbability;
   }

   public void setGoodProbability(BigDecimal goodProbability) {
      this.goodProbability = goodProbability;
   }

   public Integer getRecommendFlag() {
      return recommendFlag;
   }

   public void setRecommendFlag(Integer recommendFlag) {
      this.recommendFlag = recommendFlag;
   }

   public List<AppletCurrentDishesDetailVO> getDishesDetailList() {
      return dishesDetailList;
   }

   public void setDishesDetailList(List<AppletCurrentDishesDetailVO> dishesDetailList) {
      this.dishesDetailList = dishesDetailList;
   }

   public List<AllocDeliveryCostModel> getCostModelList() {
      return costModelList;
   }

   public void setCostModelList(List<AllocDeliveryCostModel> costModelList) {
      this.costModelList = costModelList;
   }

   public List<String> getTasteNameList() {
      return tasteNameList;
   }

   public void setTasteNameList(List<String> tasteNameList) {
      this.tasteNameList = tasteNameList;
   }
}
